searchData={"items":[{"type":"module","title":"MCPing","doc":"A utility library to ping other Minecraft: Java Edition servers.","ref":"MCPing.html"},{"type":"function","title":"MCPing.get_info/3","doc":"Pings a remote Minecraft: Java Edition server.","ref":"MCPing.html#get_info/3"},{"type":"function","title":"Parameters - MCPing.get_info/3","doc":"* `address` - The address of the server to ping.\n  * `port` - The port of the server to ping. Defaults to 25565.\n  * `options` - A keyword list of options:\n    * `:timeout` - The timeout in milliseconds for the connection. Defaults to 3000.\n    * `:protocol_version` - The protocol version to use for the handshake. Defaults to `-1`, whose behavior varies by server. Vanilla servers will typically respond with the version they use, Velocity will assume the latest version of Minecraft, and other servers may have different behavior.\n    * `:virtual_host` - The virtual host to use for the handshake. Defaults to the specified `address`.","ref":"MCPing.html#get_info/3-parameters"},{"type":"function","title":"Examples - MCPing.get_info/3","doc":"iex> MCPing.get_info(\"mc.hypixel.net\")\n     {:ok, ...}","ref":"MCPing.html#get_info/3-examples"},{"type":"module","title":"MCPing.Srv","doc":"Functions for resolving SRV records. SRV records are used to provide a way to map a service name and protocol to a hostname and port.\nThis module is used as a part of MCPing for optionally resolving the SRV record for a Minecraft server, but it is general enough to\nbe used for any service that uses SRV records, such as XMPP or SIP.","ref":"MCPing.Srv.html"},{"type":"function","title":"MCPing.Srv.lookup_server/4","doc":"Resolves all SRV records for a given service, protocol, and hostname. Returns a list of all SRV records found,\nsorted by priority order. If a record with a given priority has multiple records with different weights, the\nrecords will be randomly selected based on their weight.\n\nIf no SRV records are found, returns `:error`.","ref":"MCPing.Srv.html#lookup_server/4"},{"type":"function","title":"Examples - MCPing.Srv.lookup_server/4","doc":"iex> MCPing.Srv.lookup_server(\"minecraft\", \"tcp\", \"hypixel.net\", 5000)\n    {:ok, [{~c\"mc.hypixel.net\", 25565}]}","ref":"MCPing.Srv.html#lookup_server/4-examples"},{"type":"function","title":"MCPing.Srv.resolve_srv_record/4","doc":"Resolves a single SRV record for a given service, protocol, and hostname. Returns the first SRV record with the\nhighest priority. If no SRV records are found, returns an error.","ref":"MCPing.Srv.html#resolve_srv_record/4"},{"type":"function","title":"Examples - MCPing.Srv.resolve_srv_record/4","doc":"iex> MCPing.Srv.resolve_srv_record(\"minecraft\", \"tcp\", \"hypixel.net\", 5000)\n    {:ok, {~c\"mc.hypixel.net\", 25565}}\n\n    iex> MCPing.Srv.resolve_srv_record(\"minecraft\", \"tcp\", \"mc.example.com\", 5000)\n    {:error, :nxdomain}","ref":"MCPing.Srv.html#resolve_srv_record/4-examples"}],"content_type":"text/markdown","producer":{"name":"ex_doc","version":[48,46,51,52,46,50]}}